
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android线程操作对象AsyncTask线程机制 / iVAN</title>

    <meta name="description" content="Android线程操作对象AsyncTask线程机制  简单的说,一个程序只有一个主线程,可以有多个主线程.在Android世界中也是这样,Android属于单线程模型,耗时操作必须放在非主线程中执行,故而谷歌为了方便我们使用线程,为我们提供一个AsyncTask多线程操作对象.   对于Android使用线程还有一点需要特别注意,哪就是Android不允许在子线程中更新UI,相信很多初学者一定遇到过这个问题,这个怎么解决呢?在Activity中,我们可以通过   new Thread(new Runnable() { @Override publ">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Android线程操作对象AsyncTask线程机制</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p> 简单的说，一个程序只有一个主线程，可以有多个主线程。在Android世界中也是这样，Android属于单线程模型，耗时操作必须放在非主线程中执行，故而谷歌为了方便我们使用线程，为我们提供一个AsyncTask多线程操作对象。</p>
<p> <br />
　　对于Android使用线程还有一点需要特别注意，哪就是Android不允许在子线程中更新UI，相信很多初学者一定遇到过这个问题，这个怎么解决呢？在Activity中，我们可以通过<br />
 <br />
　　new Thread(new Runnable() {<br />
　　@Override<br />
　　public void run() {<br />
　　Log.v("abc", "子线程执行");<br />
　　runOnUiThread(new Runnable() {<br />
　　@Override<br />
　　public void run() {<br />
　　Log.v("abc", "返回主线程执行");<br />
　　}<br />
　　});<br />
　　}<br />
　　}).start();<br />
 <br />
　　来实现我们的效果，不过有一点需要注意的是，在Fragement中，runOnUiThread()不能使用，所以大家在使用时稍微注意一下即可。当然了Android中我们还可以通过Handler+Messager来完成多线程操作，对于这里个的使用，在之前的博客中已经为大家介绍，就不在赘述，下面我们开始介绍本篇的重点：AsyncTask的使用。<br />
 <br />
　　AsyncTask&lt;Parans, Progress, Result&gt;是一个抽象类，我们需要首先实现这个抽象类，然后才能使用，对于它的三个参数：Parans:启动任务时输入的参数类型；progress：后台任务执行中返回值的类型；Result：后台执行任务完成后返回的结果类型。<br />
 <br />
　　构建AsyncTask子类的回调方法：1、doInBackground:必须重写，异步执行后台线程将要完成的任务； 2、onPreExecute:执行后台耗时操作前被调用，通过用户完成一些初始化操作；3、onPostExecute:当doInBackground()完成之后，系统会自动调用，并将doInBackground()执行后的返回值，传递给onPostExecute()方法，简单来说就是，doInBackground()完成耗时操作，结果交个onPostExecute()方法更新UI；4、onProgressUpdate：在doInBackground()方法中，调用publishProgress()方法，更新任务的执行进度后，就会触发该方法。<br />
 <br />
　　说了这么多，相信你心中还有一定的疑惑，下面我们通过两个简单的Android小程序，为大家具体介绍一下AsyncTask的使用方法：<br />
 <br />
　　a、AsyncTask中是个抽象方法的执行顺序：<br />
 <br />
　　1、创建一个AsyncTask子类对象：<br />
 <br />
　　public class MyAsyncTask extends AsyncTask&lt;Void, Void, Void&gt; {<br />
　　@Override<br />
　　protected void onPreExecute() {<br />
　　super.onPreExecute();<br />
　　Log.v("abc", "onPreExecute");<br />
　　}<br />
　　@Override<br />
　　protected Void doInBackground(Void... arg0) {<br />
　　Log.v("abc", "doInBackground");<br />
　　publishProgress(arg0);<br />
　　return null;<br />
　　}<br />
　　@Override<br />
　　protected void onPostExecute(Void result) {<br />
　　super.onPostExecute(result);<br />
　　Log.v("abc", "onPostExecute");<br />
　　}<br />
　　@Override<br />
　　protected void onProgressUpdate(Void... values) {<br />
　　super.onProgressUpdate(values);<br />
　　Log.v("abc", "onProgressUpdate");<br />
　　}<br />
　　}<br />
 <br />
　　2、在MainActivity中调用给子线程，进行执行：<br />
 <br />
　　public class MainActivity extends Activity {<br />
　　@Override<br />
　　protected void onCreate(Bundle savedInstanceState) {<br />
　　super.onCreate(savedInstanceState);<br />
　　setContentView(R.layout.activity_main);<br />
　　new MyAsyncTask().execute();//启动执行<br />
　　}<br />
 <br />
　　3、执行后打印的log日志：<br />
 <br />
　　Android线程操作对象AsyncTask线程机制<br />
 <br />
　　通过这个日志信息，是不是解决了你心中的疑惑，下面我们看一个使用AsyncTask加载网络图片的例子。<br />
 <br />
　　b、加载网络图片：<br />
 <br />
　　1、首先创建一个承载Activity布局文件的xml：<br />
 <br />
　　&lt;RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"<br />
　　xmlns:tools="http://schemas.android.com/tools"<br />
　　android:layout_width="match_parent"<br />
　　android:layout_height="match_parent"<br />
　　android:layout_margin="10dp"<br />
　　tools:context=".MainActivity" &gt;<br />
　　&lt;ImageView<br />
　　android:id="@+id/img"<br />
　　android:layout_width="match_parent"<br />
　　android:layout_height="match_parent"<br />
　　/&gt;<br />
　　&lt;ProgressBar<br />
　　android:id="@+id/progressbar"<br />
　　android:layout_width="wrap_content"<br />
　　android:layout_height="wrap_content"<br />
　　android:visibility="gone"<br />
　　android:layout_centerInParent="true"<br />
　　/&gt;<br />
　　&lt;/RelativeLayout&gt;<br />
 <br />
　　布局文件很简单，就是一个ImageView+ProgressBar，在加载ImageView是我们通过ProgressBar来提醒用户等待。<br />
 <br />
　　2、创建我们的Activity对象<br />
 <br />
　　public class AsyncTaskImager extends Activity {<br />
　　private ProgressBar pb;<br />
　　private ImageView image;<br />
　　private static final String url = "bdlogo.png";<br />
　　@Override<br />
　　protected void onCreate(Bundle savedInstanceState) {<br />
　　super.onCreate(savedInstanceState);<br />
　　setContentView(R.layout.imager);<br />
　　init();<br />
　　new ImageAsyncTask().execute(url);<br />
　　}<br />
　　private void init() {<br />
　　pb = (ProgressBar) findViewById(R.id.progressbar);<br />
　　image = (ImageView) findViewById(R.id.img);<br />
　　}<br />
　　class ImageAsyncTask extends AsyncTask&lt;String, Void, Bitmap&gt;{<br />
　　@Override<br />
　　protected void onPreExecute() {<br />
　　super.onPreExecute();<br />
　　pb.setVisibility(View.VISIBLE);<br />
　　}<br />
　　@Override<br />
　　protected Bitmap doInBackground(String... params) {<br />
　　Bitmap bitmap = null;<br />
　　URLConnection conn = null;<br />
　　String url = params[0];<br />
　　try {<br />
　　conn = new URL(url).openConnection();<br />
　　InputStream in = conn.getInputStream();<br />
　　BufferedInputStream bis = new BufferedInputStream(in);<br />
　　bitmap = BitmapFactory.decodeStream(bis);<br />
　　} catch (MalformedURLException e) {<br />
　　e.printStackTrace();<br />
　　} catch (IOException e) {<br />
　　e.printStackTrace();<br />
　　}<br />
　　return bitmap;<br />
　　}<br />
　　@Override<br />
　　protected void onPostExecute(Bitmap result) {<br />
　　super.onPostExecute(result);<br />
　　pb.setVisibility(View.GONE);<br />
　　image.setImageBitmap(result);<br />
　　}<br />
　　}<br />
　　}<br />
 <br />
　　到这里我们的大功已经基本完成了，最后不要忘记在AndroidManifest.xml中进行一下声明。<br />
 <br />
　　3、添加网络操作权限：<br />
 <br />
　　&lt;uses-permission android:name="android.permission.INTERNET"/&gt;<br />
　　因为我们需要使用到网络连接，所以我们需要在AndroidManifest.xml中添加一个网络访问权限。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-05 06:48:02</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/android/" title="android">android</a>, <a href="https://www.iamivan.net/tag/%e7%ba%bf%e7%a8%8b/" title="线程">线程</a>, <a href="https://www.iamivan.net/tag/protected/" title="protected">protected</a>, <a href="https://www.iamivan.net/tag/override/" title="override">override</a>, <a href="https://www.iamivan.net/tag/android-%e7%bd%91%e7%bb%9c%e6%9c%ba%e5%88%b6/" title="android 网络机制">android 网络机制</a>, <a href="https://www.iamivan.net/tag/doinbackground/" title="doinbackground">doinbackground</a>, <a href="https://www.iamivan.net/tag/asynctask/" title="asynctask">asynctask</a>, <a href="https://www.iamivan.net/tag/android-asynctask/" title="android asynctask">android asynctask</a>, <a href="https://www.iamivan.net/tag/asynctask%e8%bf%9b%e5%ba%a6%e6%9d%a1/" title="asynctask进度条">asynctask进度条</a>, <a href="https://www.iamivan.net/tag/%e4%bd%bf%e7%94%a8asynctask/" title="使用AsyncTask">使用AsyncTask</a>, <a href="https://www.iamivan.net/tag/asynctask%e8%af%a6%e8%a7%a3/" title="asynctask详解">asynctask详解</a>, <a href="https://www.iamivan.net/tag/fragement/" title="fragement">fragement</a>, <a href="https://www.iamivan.net/tag/android%e7%9a%84%e6%9d%83%e9%99%90%e6%9c%ba%e5%88%b6/" title="android的权限机制">android的权限机制</a>, <a href="https://www.iamivan.net/tag/android%e6%8a%bd%e8%b1%a1%e5%b8%83%e5%b1%80/" title="Android抽象布局">Android抽象布局</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Android线程操作对象AsyncTask线程机制的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bBkRQ4M.html" rel="bookmark">Android开发之子线程操作UI的几种方法&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				 在Android项目中经常有碰到这样的问题,在子线程中完成耗时操作之后要更新UI,下面就自己经历的一些项目总结一下更新的方法: 在看方法之前需要了解一下Android中的消息机制. 方法1 Activity.runOnUiThread 方法如下: runOnUiThread(new Runnable() { @Override public void run() { tv.setText(&quot;Hello&quot;); } }); 这种方法简单易用,如果当前线程是UI线程,那么行动是立即执行.如			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrDn74z.html" rel="bookmark">Android开发之子线程操作UI的几种方法</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在Android项目中经常有碰到这样的问题,在子线程中完成耗时操作之后要更新UI,下面就自己经历的一些项目总结一下更新的方法: 在看方法之前需要了解一下Android中的消息机制. 方法1 Activity.runOnUiThread 方法如下: runOnUiThread(new Runnable() { @Override public void run() { tv.setText(&quot;Hello&quot;); } }); 这种方法简单易用,如果当前线程是UI线程,那么行动是立即执行.如果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mxodvyb.html" rel="bookmark">详解Android中用于线程处理的AsyncTask类的用法及源码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				为什么要用AsyncTask我们写App都有一个原则,主线程不能够运行需要占用大量CPU时间片的任务,如大量复杂的浮点运算,较大的磁盘IO操作,网络socket等,这些都会导致我们的主线程对用户的响应变得迟钝,甚至ANR,这些会使应用的用户体验变差,但是有时又的确需要执行这些耗时的任务,那么我们通常可以使用AsyncTask或者new Thread 来处理,这样把任务放入工作线程中执行,不会占用主线程的时间片,所以主线程会及时响应用户的操作,如果使用new Thread来执行任务,那么如果需要中			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MYd55Vb.html" rel="bookmark">【Android开发】线程与消息处理-Handler消息传递机制之Looper</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在前面已经介绍了在Android中如何创建.开启.休眠和中断线程.不过,此时并没有在新创建的子线程中对UI界面上的内容进行操作,如果应用前面介绍的方法对UI界面进行操作,将抛出异常. 为此,Android中引入了Handler消息传递机制,来实现在新创建的线程中操作UI界面.下面将对Handler消息传递机制进行介绍. 1.循环者Looper介绍 在介绍Looper之前,需要先了解一下MessageQueue的概念.在Android中,一个线程对应一个Looper对象,而一个Looper对象又对			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pL2jQvb.html" rel="bookmark">Android 关于操作UI线程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				在非UI线程里访问 Android UI toolkit-这个在一个worker线程修改了 View .这会导致不可预期的结果,而且还难以调试.   为了修复这个问题,Android提供了几个方法从非UI线程访问Android UI toolkit .详见下面的这个列表: Activity.runOnUiThread(Runnable) View.post(Runnable) View.postDelayed(Runnable, long)   可以使用 View.post(Runnable) 			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Mvm0gNb.html" rel="bookmark">ui-关于android子线程操作UI的问题</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				问题描述 关于android子线程操作UI的问题 看到的所有的资料上都说android的子线程不能操作UI,抱着好奇心我写了下面的程序,竟然运行成功了,不知谁能解释一下这个问题 public class MainActivity extends Activity { Button bt; @Override protected void onCreate(Bundle savedInstanceState) { super.onCreate(savedInstanceState); setCon			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/zDA0Zvb.html" rel="bookmark">Android中的进程和线程</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				进程和线程是现代网络操作系统的核心概念.Android作为一种优秀的.承袭Linux的移动操作系统,其进程和线程的概念是开发者和安全工作人员需要深入了解的问题.本文将详细介绍Android中的进程.线程以及相关的技术问题. 进程和线程的基本概念 当一个应用程序开始运行它的第一个组件时,Android会为它启动一个Linux进程,并在其中执行一个单一的线程.默认情况下,应用程序所有的组件均在这个进程的这个线程中运行.然而,你也可以安排组件在其他进程中运行,而且可以为任意进程衍生出其它线程. And			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pn8njZb.html" rel="bookmark">Android AsyncTask实现机制详细介绍及实例代码&lowbar;Android</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Android AsyncTask实现机制 示例代码: public final AsyncTask&lt;Params, Progress, Result&gt; execute(Params... params) { return executeOnExecutor(sDefaultExecutor, params); } public final AsyncTask&lt;Params, Progress, Result&gt; executeOnExecutor(Executor exec, Pa			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/pmjJB1z.html" rel="bookmark">android主线程和子线程之间消息传递详解</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				从主线程发送消息到子线程(准确地说应该是非UI线程) package com.zhuozhuo; import android.app.Activity; import android.os.Bundle; import android.os.Handler; import android.os.Looper; import android.os.Message; import android.util.Log; import android.view.View; import android.			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/xp8g1xM.html" rel="bookmark" class="title">使用 DIV&plus;CSS 创建固定宽度的布局</a>
					<div>
						css|创建 我最近的几篇专栏文章讨论了使用 XHTML 和 CSS 实现两列或三列页面布局的各个方面.到目前为止,所有例子都使用流式布局(也就是布局会自动扩展和适应浏览器窗口的宽度).现在是时候考虑 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ybj2a8b.html" rel="bookmark" class="title">鼠标滚轮缩放图片&colon; 鼠标缩放图片</a>
					<div>
						&lt;html&gt; &lt; language=&quot;java&quot;&gt; img_zoom(e, o) //图片鼠标滚轮缩放 { var zoom = parseInt(o.st ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/LzJ1v7p.html" rel="bookmark" class="title">使用带批注的 XDR 架构创建 XML 视图</a>
					<div>
						xml|创建|架构|视图 可以使用 XDR(简化 XML-Data)架构创建关系数据的 XML 视图.然后可以使用 XPath 查询来查询这些视图.这类似于使用 CREATE VIEW 语句创建视图并 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/OMg9R6z.html" rel="bookmark" class="title">ASP无组件上传图片的源代码</a>
					<div>
						上传|上传图片|无组件|源代码 &lt;!--#include file=&quot;upload_5xsoft.inc&quot;--&gt;&lt;%Set conn=Server.CreateO ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/2pLnoZb.html" rel="bookmark" class="title">优秀的社区软件Discuz&excl;之NT版本教程</a>
					<div>
						教程|社区 传承Discuz!优势 .NET论坛开山力作 作为Comsenz公司开辟.NET领域的开山力作,一直备受大家的期待.在此我们特别向广大用户朋友提供&quot;第一次亲密接触&quot;系列 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/gpkY4wb.html" rel="bookmark" class="title">Create and Control Windows Services--Control Your Service&lbrack;等级：高级&rsqb;</a>
					<div>
						services|window|高级 You've created your service-now it's time to create the service controller. Use t ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1R3orp.html" rel="bookmark" class="title">vim中的文本对象及相关插件</a>
					<div>
						最近在个人博客上 http://foocoder.com  每天都会介绍一个vim插件,想起来园子也好久没更新了,也来更新一篇. 今天按读者留言的要求,介绍下文本对象.同时还会介绍我在用的几个文本相关 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MvKvB5p.html" rel="bookmark" class="title">一个简单的WCF RESTFul服务</a>
					<div>
						WCF的REST实例网上很多,这里是我这几天学习并实践通过的,算是个笔记吧 . 1.服务契约 [ServiceContract]public interface IRESTService{} 具体操作 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze4DlAp.html" rel="bookmark" class="title">tplink wr847n路由器如何设置</a>
					<div>
						  tplink wr847n路由器设置方法 首先我们需要在地址栏中输入路由器的地址,以便进入配置界面.一般的地址为192.168.1.1,当然并非所有路由器皆是,关于路由器的正确地址我们可以查看路由 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MRyWXdb.html" rel="bookmark" class="title">python实现比较两段文本不同之处的方法</a>
					<div>
						  本文实例讲述了python实现比较两段文本不同之处的方法.分享给大家供大家参考.具体实现方法如下: ? 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 1 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqLw1eb.html" rel="bookmark" class="title">在Word2007中快速完成大量表格数据汇总</a>
					<div>
						本文介绍如何巧妙利用Word的替换和转换的组合应用,高效完成人员登记表.产品参数表等含有大量相同格式表格并需要快速汇总表格数据的工作. 最近接到的一项收集公司所有技术人员资料的工作就有这样的要求.事先 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDYeA6b.html" rel="bookmark" class="title">javascript中直接引用Microsoft的COM生成Word</a>
					<div>
						 直接引用Microsoft的COM是可以生成Word的,下面为大家介绍下实现的javascript代码 代码如下: &lt;html&gt;  &lt;head&gt;  &lt;meta http ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7286ap.html" rel="bookmark" class="title">为什么关注亮部可以得到额外的宽容度&quest;</a>
					<div>
						关注亮部,应对高反差--为什么关注亮部可以得到额外宽容度? 尽管数码相机有不少于10级的宽容度,但是这种宽容度应对高反差场景还是远远不不够.在胶片摄影中,主张按画面中灰值曝光,以使曲线的趾部和肩部尽可 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bKkjE7b.html" rel="bookmark" class="title">MSN如何截图</a>
					<div>
						  一.MSN截图安装MSN Shell插件 MSN Shell 是一个为了支持MSN Messenger/Windows Live Messenger 的发展,提供多种扩展服务及功能的免费插件.这个 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlQLdqp.html" rel="bookmark" class="title">dns-No DNS servers found</a>
					<div>
						问题描述 No DNS servers found 我在运行Android程序时,出现了一下提示:No DNS servers found,请问各位怎么解决? 解决方案 是用的模拟器吗,如果是,把av ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrWaYOp.html" rel="bookmark" class="title">objectAnimation与ValueAnimation的使用</a>
					<div>
						在给控件做动画的时候,我一直都是使用animation的基本动画来给控件界面添加动画,能简单肯定不会用复杂的,我记得在我刚开始的时候要做一个效果,就是要按钮移动然后结束以后固定到结束的点,我记得当时的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0Q6Knp.html" rel="bookmark" class="title">华南农业大学：赏三月紫荆校园 看万千无线花开</a>
					<div>
						阳春三月,草长莺飞,华南农业大学(以下简称&quot;华农&quot;)的紫荆花美得甚是醉人.&quot;紫荆校园&quot;已成为华农的一张文化名片.从今年三月开始,在华农的校园内盛开的不仅是紫荆花 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAnOKM.html" rel="bookmark" class="title">王晓初：中电信引入iPhone还在谈</a>
					<div>
						早报记者 周玲 实习生 王渊 8月23日,中国电信(0728.HK)称,该公司仍在与苹果进行谈判,以期引入iPhone,目前无法就其与苹果谈判进展发表评论. 据路透社和新华海外财经23日报道,在当天于 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlK2dab.html" rel="bookmark" class="title">yii-Yii 部署在Linux下 gii 无法打开</a>
					<div>
						问题描述 Yii 部署在Linux下 gii 无法打开 Yii 部署在Linux下 gii 无法打开yii 安装完毕(linux) test 项目建立完毕 ,所有dir 均已设定为 777 ,本地PC ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/boKE5Vb.html" rel="bookmark" class="title">联想集团王东：ThinkPad市场份额将有望超15&percnt;</a>
					<div>
						4月9日消息,联想集团有限公司中国区商用事业部市场总监王东今日在博鳌论坛上表示,联想商用市场去年比原定目标超额完成很多,希望联想Thinkpad笔记本的市场份额增长至15%. 据王东透露,在一个市场调 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zGEednM.html" rel="bookmark" class="title">CentOS6&period;5菜鸟之旅：安装SUN JDK1&period;7和Tomcat7</a>
					<div>
						一.前言     CentOS6.5系统自带Open JDK1.7.1.6和1.5,但OpenJDK部分内容与SUN JDK不兼容,因此打算重新安装SUN JDK1.7来开发.   二.卸载Open  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBrYrb.html" rel="bookmark" class="title">android-自己做Android行车记录，怎么代码实现后台检测以确定视频录制的时长。</a>
					<div>
						问题描述 自己做Android行车记录,怎么代码实现后台检测以确定视频录制的时长. 现在在做这个Android行车记录仪的毕业设计,但是我这一个实现视频循环的不会,要求是软件要具有后台检测手机内存大小 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MY5A6QM.html" rel="bookmark" class="title">三黑客入侵网站偷卖游戏卡构成盗窃罪</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 三名&quot;黑客&quot;在 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pdy753z.html" rel="bookmark" class="title">信息安全遇新挑战 专家热议下一代安全</a>
					<div>
						本文讲的是信息安全遇新挑战 专家热议下一代安全,在近日举办的第十三届中国信息安全大会上,来自各大安全厂商的技术专家及行业领袖针对&quot;构建安全生态系统--新一代信息安全防护&quot;的主题发表 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MlLmdaM.html" rel="bookmark" class="title">html-如何用 javascript 实现音乐的从某一句开始播放</a>
					<div>
						问题描述 如何用 javascript 实现音乐的从某一句开始播放 用javascript实现音乐的从确定的一句话开始播放,比如说&lt;好久不见&gt;,要从&quot;我多么想和你见一面,在街角的 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0nBPmz.html" rel="bookmark" class="title">eclipse中调试tomcat下的web应用</a>
					<div>
						有时新建web项目,jsp报错,找不到javax.servlet.http等与server有关的类,是因为没有引入依赖的jar包.步骤如下: elipse中,依次选择window|preference ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodZaBM.html" rel="bookmark" class="title">javamail 发送多个邮件问题</a>
					<div>
						问题描述 一个账号在一定时间内,发送的邮件是有限制,超过了这个限制,QQ的hmtp服务器会拒绝发送的邮件另外一种方法..伪装新浪的hmtp服务器发送也不行,QQ的hmtp服务器认为这是垃圾邮件群发单显 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9xPaob.html" rel="bookmark" class="title">ajax-Asp&period;net MVC Ajax post 传json格式数据控制器如何接收</a>
					<div>
						问题描述 Asp.net MVC Ajax post 传json格式数据控制器如何接收 这是我的ajax代码 这是我要传的数据 这是我的控制器方法 求大师解惑,我的控制器方法里该如何接收这些值啊? 解 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MgE2DZz.html" rel="bookmark" class="title">&lbrack;译&rsqb; 再谈 CSS 中的代码味道</a>
					<div>
						本文讲的是[译] 再谈 CSS 中的代码味道, 原文地址:Code Smells in CSS Revisited 原文作者:Harry 译文出自:掘金翻译计划 译者:IridescentMia 校对 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MNmj9db.html" rel="bookmark" class="title">IBM和Red Hat携手增强混合云计算及OpenStack</a>
					<div>
						IBM和Red Hat正在合作鼓励客户使用OpenStack,让企业更容易的将他们的Linux工作负载迁移到私有云中. IBM表示,IBM已经成为Red Hat认证的云及服务提供商,之后将在3月底提供 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.031 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
